This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 443394 - no-local does not work with non-exclusive queues
no-local does not work with non-exclusive queues
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 06:54 EDT by Arnaud Simon
Modified: 2009-08-21 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 11:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2008-04-21 06:54:50 EDT
Description of problem:
As no-local doe not work with non-exclusive queues it fails with JMS durable
subscriptions. This causes two tck failures.
Comment 1 Arnaud Simon 2008-04-21 08:01:31 EDT
The following tests have been excluded:
com/sun/ts/tests/jms/ee/all/sessiontests/SessionTests.java#SubscriberTests_from\
_standalone                                                                     
com/sun/ts/tests/jms/ee/all/topictests/TopicTests.java#durableSubscriberTopicNo\
LocalTest_from_standalone    

Note: make sure that those tests are removed form the exclusion list once this
bug is fixed.   
Comment 2 Gordon Sim 2008-04-22 09:00:40 EDT
Fixed in r650450 of qpid svn.
Comment 3 Arnaud Simon 2008-05-07 03:18:49 EDT
Those tests are now passing. This bug can now be closed.   
Comment 4 Mike Bonnet 2008-05-16 11:09:11 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.